@import 'nav.css';
@import 'footer.css';
@import 'cookie-popup.css';
@import 'alert-box.css';
@import 'screen-block.css';

body{
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
}

::-webkit-scrollbar {
    display: none;
  }

   video::poster {
    width: auto;
    height: 100%;
    object-fit: cover;
  }

/* Eco Screen */
.eco-pop{
    top: 0;
    left: 0;
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: #0e1309;
    color:rgb(82, 95, 67);
    text-align: center;
    font-size: 16px;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999999999999999999999999999999999999999999999999;
  }
  
  .eco-pop svg{
    fill: rgb(82, 95, 67);
    stroke: rgb(82, 95, 67);
    width: 12vw;
    height: auto;
  }

  .section{
    min-height: 100vh;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    top: calc(5.5vw - 7px);
    left: 0;
    overflow-y: hidden;
  }

  .container{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    position: relative;
    background-color: #f7f7f7;
    padding: 0;
  }

  .container .left{
    top: calc(5.5vw - 7px);
    left: 0;
    width: 40%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #222222;
    box-shadow: 0px 0px 5px #0000008f;
    padding: 10vh 5vw;
    position: fixed;
    z-index: 4;
  }

  .left .section-heading{
    font-family: 'Poppins';
    font-size: 22px;
    font-weight: 600;
    letter-spacing: 0px;
    text-transform: uppercase; 
    margin-bottom: 0;
    color: #ffffff;
  }
  
    .container .left .profile label{
      font-family: 'poppins';
      font-size: 2vh;
      color: #ffffff;
      text-transform: uppercase;
      font-weight: 500;
      letter-spacing: 0.2vh;
      margin-top: 3.5vh;
    }

  .total-beans{
    color: #ffffff;
    margin-bottom: 5vh;
    font-family: 'Poppins';
    
  }

  .current-level-img{
    height: 23vh;
    width: auto;
  }

  .current-level{
    font-size: 5vh;
    color: #ffffff;
    text-transform: uppercase;
    font-weight: 600;
  }

  .collected-beans{
    letter-spacing: 0.5vh;
    color: #ffffff;
    font-size: 2vh;
  }

  .beans-for-next-level{
    margin-top: 2vh;
    font-size: 1.8vh;
    width: 90%;
  }

  .profile-btn {
    position: absolute;
    top: 10vh;
    right: 5vw;
    border: 1.5px solid #ececec;
    outline: none;
    font-family: 'Poppins';
    letter-spacing: 0.03vw;
    font-weight: 400;
    background-color: #00000000;
    color: #ffffff;
    cursor: pointer;
    width: max-content;
    padding: 0.4vh 0.9vw;
    opacity: 1;
    transition: 0.2s;
}

#save-btn {
  display: none;
}

  .edit-btn:hover{
    opacity: 0.75;
    transition: 0.2s;
  }

  .show-hide-orders{
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    position: absolute;
    height: min-content;
    top: 50%;
    right: 4vw;
    transform: translateY(-50%);
    cursor: pointer;
    background-color: #00000000;
    border: none;
    outline: none;
    color: #ffffff;
    font-family: 'Poppins';
    font-size: 2vh;
    letter-spacing: 0.25vh;
    text-transform: uppercase;
    transition: 0.2s;
  }

  .show-hide-orders:hover{
    transition: 0.2s;
    transform: translateY(-50%) translateX(0.3vw);
  }

  .show-hide-orders svg{
    margin-top: 1vh;
    stroke: #ffffff;
    width: 5vw;
    height: auto;
  }

  .container .left .profile{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    height: 100%;
    position: relative;
  }


  /* Edit Mode off */
  .container .left .profile input {
    background-color: #00000000;
    border: none;
    width: 65%;
    color: #ffffffc9;
    caret-color: #ffffff; 
    outline: none; 
    cursor: default;
    transition: border 0.2s ease, cursor 0.2s ease;
}

.container .left .profile input:focus {
  border: none;
  outline: none;
}

/* Edit Mode on */
.container .left .profile.edit-mode input:not(#email, #new-password, #confirm-password)  {
  border-bottom: 1px solid #ffffff;
  border-top: none;
  border-left: none;
  border-right: none;
  cursor: pointer; 
}

.container .left .profile.edit-mode input:focus:not(#email, #new-password, #confirm-password) {
  border-bottom: 1px solid #ffffff; 
  outline: none;
}

.pw-cpw{
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
  height: auto;
  background-color: #222222;
}

.change-password-btn {
  margin-top: 1vh;
  background-color: #00000000;
  color: #b9b9b9;
  border: none;
  padding: 0.4vh 0;
  cursor: pointer;
  font-family: 'Poppins';
  letter-spacing: 0.03vw;
  font-weight: 400;
  transition: 0.2s;
  text-decoration: underline;
}

.container .left .profile input:-webkit-autofill:not(#new-password, #confirm-password),
.container .left .profile input:-webkit-autofill:hover:not(#new-password, #confirm-password),
.container .left .profile input:-webkit-autofill:focus:not(#new-password, #confirm-password),
.container .left .profile input:-webkit-autofill:active:not(#new-password, #confirm-password) {
    -webkit-box-shadow: 0 0 0px 1000px #00000000 inset !important;
    box-shadow: 0 0 0px 1000px #00000000 inset !important;
    background-color: #00000000 !important;
    -webkit-text-fill-color: #ffffffc9 !important;
    caret-color: #ffffff !important; /* Weißer Text-Cursor im Autofill */
    transition: background-color 5000s ease-in-out 0s;
    border: none;
}

#new-password, #confirm-password{
  background-color: #ececec;
  color: #000000;
  width: 100%;
  padding: 0.2vh 1vw;
  caret-color: #000000 !important; /* Weißer Text-Cursor im Autofill */
}

.save-password-btn{
    border: 1.5px solid #ececec;
    margin-bottom: 10vh;
    outline: none;
    font-family: 'Poppins';
    letter-spacing: 0.03vw;
    font-weight: 400;
    background-color: #00000000;
    color: #ffffff;
    cursor: pointer;
    width: max-content;
    padding: 0.4vh 0.9vw;
    opacity: 1;
    transition: 0.2s;
}

.order-board{
  display: flex;
  flex-direction: column;
  max-height: fit-content;
  min-height: 100vh;
  height: 100%;
  width: 60%;
  position: absolute;
  top: 0;
  right: 0;
  background-color: #eeeeee;
  z-index: 3;
  padding-top: 4vh;
  padding-bottom: 15vh;
  padding-left: 2vw;
  padding-right: 2vw;
  transform: translateX(-100.5%);
  transition: 0.5s;
  overflow-x: hidden;
  overflow-y: auto;
}

.empty-order-board{
  position: absolute; 
  height: 100%; 
  width: 100%; 
  display: flex; 
  flex-direction: column;
  align-items: center; 
  justify-content: center; 
  font-family: 'Poppins'; 
}

.empty-order-board h2{
  color: #858585;
  text-transform: uppercase; 
  font-size: 1.5vh;
  font-size: 3vh;
}

.empty-order-board p{
  color: #5a5a5a;
  text-transform: unset;
  font-size: 2vh;
}

.beans-nr{
  font-family: 'Poppins';
  font-size: 1.7vh;
  letter-spacing: 0.2vh;
  width: 100%;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 7vh;
  text-transform: uppercase;
}

.order-oc{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  padding: 5vh 3vw;
  background-color: #e2e2e2;
  margin-top: 2vh;
  align-items: start;
  justify-content: center;
}

.order-date-oc{
  width: 100%;
  text-align: center;
  font-family: 'poppins';
  font-size: 1.8vh;
  letter-spacing: 0.2vw;
  color: #535353;
}

.order-id-oc{
  font-size: 3.5vh;
  font-family: 'Albert Sans';
  text-align: left;
  font-weight: 500;
  letter-spacing: 0.3vw;
  margin-bottom: 2.6vh;
}

.order-details-cont-oc{
  display: flex;
  flex-direction: row;
  width: 100%;
}

.order-add-oc{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  align-items: start;
  padding-top: 2vh;
  font-family: 'Poppins';
  font-weight: 500;
  font-size: 2vh;
  text-transform: capitalize;
}

.order-items-oc{
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
}

.price-oc{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  width: max-content;
}

.item-price-oc{
  font-size: 2.2vh;
  font-family: 'Albert Sans';
  width: max-content;
}

.item-original-price-oc{
  font-family: 'Albert Sans';
  width: max-content;
  text-decoration: line-through;
  color: #965353;
  margin-left: 1.5vw;
}

.item-name-oc{
  font-size: 2.5vh;
  color: #222222;
}

.item-description-oc{
  font-size: 2vh;
  color: #525252;
}

.order-item-oc{
  margin-top: 2vh;
}

  .container .right{
    width: 60%;
    margin-left: 40%;
    min-height: 100vh;
    height: fit-content;
    display: flex;
    flex-direction: column;
    flex: 1;
    background-color: #f7f7f7;
    padding: 20vh 5vw;
    z-index: 1;
    position: relative;
  }

  .pomo-indication{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    text-align: left;
    height: auto;
    width: 100%;
    color: #222222;
    position: absolute;
    top: 0;
    left: 0;
    padding: 5vh 5vw;
  }

  .pomo-indication a{
    color: #222222;
  }

  .valid-until{
    font-weight: 500;
    font-size: 1.8vh;
    text-transform: uppercase;
    margin-top: 2.2vh;
  }

  .right .section-heading{
    font-family: 'Poppins';
    font-size: 22px;
    font-weight: 600;
    letter-spacing: 0px;
    text-transform: uppercase; 
    margin-bottom: 20px;
    color: #414141;
    border-bottom: 2px #414141 solid;
}

.saved-products{
  display: flex; 
  width: 100%;
  flex-direction: column;
  align-items: center; 
  justify-content: center;
  padding-bottom: 10vh;
}

/* Wishlist Products */

.sm-product{
  width: 100%;
  height: 105px;
  display: flex;
  flex-direction: row;
  justify-content: start;
  align-items: center;
  position: relative;
  margin-bottom: 20px;
  background-color: #e6e6e6;
  padding: 1vh 0;
}

.cart .sm-product:last-child, .wishlist .sm-product:last-child{
  margin-bottom: 0;
}

.sm-product-img{
  height: 100px;
  width: 100px;
  object-fit: cover;
  border-radius: 5px;
  transform: translateY(4%);
}

.right-card-info{
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: start;
}

.sm-text{
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: left;
  justify-content: start;
}

.sm-product-name{
  font-size: 16px;
  font-weight: 700;
}

.sm-des{
  font-size: 14px;
  opacity: 0.8;
  line-height: 17px;
  margin-top: 0px;
}

.item-counter{
width: 90px;
height: 30px;
display: flex;
align-items: center;
justify-content: flex-end;
margin-right: 20px;
}

.counter-btn, .item-count{
  display: flex;
  align-items: center;
  justify-content: center;
}

.item-count{
  width: 25px;
  height: 20px;
}

.counter-btn{
  width: 20px;
  height: 20px;
  color: #414141;
  background: rgba(0, 0, 0, 0.02);
  border: 1px solid #8f8f8f;
  border-radius: 1px;
  cursor: pointer;
  transition: 0.5s;
}

.counter-btn:hover{
  background: rgba(0, 0, 0, 0.15);
  border: 1px solid #818181;
}

.item-count{
  color: #414141;
  text-align: center;
  line-height: 30px;
  background: rgba(0, 0, 0, 0.02);
}

.sm-price{
  font-family: 'Albert Sans';
  font-size: 2.5vh;
  font-weight: 600;
  color: #414141;
  text-align: center;
}

.price-adjust{
  display: flex;
  flex-direction: column;
  width: max-content;
  align-items: center;
  justify-content: space-between;
}

.sm-wl-delete-btn{
  position: absolute;
  top: 0;
  right: 0;
  transform: translateX(50%);
  width: 3vw;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #eeeeee;
  border: none;
  z-index: 2;
  cursor: pointer;
}

.sm-wl-delete-btn img{
  height: 12px;
  opacity: 0.4;
}

.sm-add-cart-btn{
  position: absolute;
  right: 4vw;
  border: none;
  outline: none;
  font-family: 'Poppins';
  background-color: #222222;
  color: #ffffff;
  cursor: pointer;
  width: max-content;
  padding: 1vh 1vw;
  opacity: 1;
  transition: 0.5s;
}

.sm-add-cart-btn:hover{
  opacity: 0.75;
  transition: 0.5s;
}

@media (max-width: 1000px){

  .section{
    min-height: 100vh;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    top: 0;
    left: 0;
    overflow-y: hidden;
  }

  .container{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background-color: #f7f7f7;
    padding: 0;
  }

  .container .left{
    top: 0;
    left: 0;
    width: 100%;
    height: fit-content;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #222222;
    box-shadow: 0px 0px 5px #0000008f;
    padding: unset;
    padding-top: 18vh;
    padding-bottom: 5vh;
    padding-left: 5vw;
    padding-right: 5vw;
    position: relative;
    z-index: 4;
  }

  .total-beans{
    color: #ffffff;
    margin-bottom: 5vh;
    font-family: 'Poppins';
  }

  .current-level{
    font-size: 5vh;
    color: #ffffff;
    text-transform: uppercase;
    font-weight: 600;
    margin-top: 5vh;
  }

  .current-level-img{
    height: 23vh;
    margin-top: 5vh;
    width: auto;
  }

  .collected-beans{
    letter-spacing: 0.5vh;
    color: #ffffff;
    font-size: 2vh;
  }

  .beans-for-next-level{
    margin-top: 2vh;
    font-size: 1.8vh;
    width: 90%;
  }

  .profile-btn {
    position: absolute;
    top: 18vh;
    right: 5vw;
    border: 1.5px solid #ececec;
    outline: none;
    font-family: 'Poppins';
    letter-spacing: 0.03vw;
    font-weight: 400;
    background-color: #00000000;
    color: #ffffff;
    cursor: pointer;
    width: max-content;
    padding: 0.4vh 0.9vw;
    opacity: 1;
    transition: 0.2s;
}

.order-board{
  display: flex;
  flex-direction: column;
  max-height: fit-content;
  min-height: 100vh;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  right: 0;
  background-color: #eeeeee;
  z-index: 5;
  padding-top: 10vh;
  padding-bottom: 15vh;
  padding-left: 2vw;
  padding-right: 2vw;
  transform: translateX(-100.5%);
  transition: 0.5s;
  overflow-x: hidden;
  overflow-y: auto;
}

  .container .right{
    width: 100%;
    margin-left: 0%;
    min-height: 100vh;
    height: fit-content;
    display: flex;
    flex-direction: column;
    flex: 1;
    background-color: #f7f7f7;
    padding: unset;
    padding-top: 30vh;
    padding-left: 5vw;
    padding-right: 5vw;
    padding-bottom: 5vh;
    z-index: 1;
    position: relative;
  }

  .pomo-indication{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    text-align: left;
    height: auto;
    width: 100%;
    color: #222222;
    position: absolute;
    top: 0;
    left: 0;
    padding: 5vh 5vw;
    background-color: rgb(204, 204, 204);
  }

  .valid-until{
    font-weight: 500;
    font-size: 1.8vh;
    text-transform: uppercase;
    margin-top: 2.2vh;
  }

  .sm-product{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: start;
    overflow: unset;
    position: relative;
    margin-bottom: 20px;
    padding: 0;
    overflow: hidden;
    position: relative;
}

.right-card-info{
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    padding: 0;
    margin-top: 10%;
}

.sm-product-img{
    height: auto;
    width: 120px;
    object-fit: cover;
    border-radius: 5px;
    transform: translateY(0%);
  }

.sm-text{
    width: max-content;
    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: start;
}

.sm-product-name{
    font-size: 15px;
    font-weight: 700;
}

.sm-des{
    font-size: 14px;
    opacity: 0.8;
    line-height: 17px;
    margin-top: 0px;
}

.item-counter{
  width: 100%;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: start;
  margin-top: 20%;
  margin-right: 0px;
  transform: translateX(0%);
}

.sm-wl-delete-btn{
  position: absolute;
  top: 2px;
  right: unset;
  left: 2px;
  transform: translateX(0%);
  width: 7vw;
  height: 7vw;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #eeeeee;
  border: none;
  border-radius: 50%;
  z-index: 2;
  cursor: pointer;
}

.sm-wl-delete-btn img{
    height: 12px;
  opacity: 0.4;
}

.sm-add-cart-btn{
  position: absolute;
  bottom: 2vh;
  right: 4vw;
  border: none;
  border-radius: 50%;
  outline: none;
  font-family: 'Poppins';
  background-color: #222222;
  line-height: 1;
  color: #ffffff;
  cursor: pointer;
  width: 20vw;
  height: 20vw;
  padding: 0;
  opacity: 1;
  transition: 0.5s;
}

} 

